var vfile = require("to-vfile");
var report = require("vfile-reporter");
var unified = require("unified");
var markdown = require("remark-parse");
var remark2rehype = require("remark-rehype");
var doc = require("rehype-document");
var format = require("rehype-format");
var html = require("rehype-stringify");

unified()
  .use(markdown)
  .use(remark2rehype)
  .use(doc)
  .use(format)
  .use(html)
  .process("|a|b|\n|---|---|\n|c|d|", function(err, file) {
    console.error(report(err || file));
    console.log(String(file));
  });;
